Bug 805456 - ceph-0.43-1.fc17.i686 conflicts with already installed ceph-0.43-1.fc17.x86_64
ceph-0.43-1.fc17.i686 conflicts with already installed ceph-0.43-1.fc17.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ceph (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 07:15 EDT by Alon Levy
Modified: 2014-08-04 18:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2012-03-21 07:15:40 EDT
Description of problem:

I'm trying to install ceph.i686 on a x86-64 arch system with already installed ceph.x86-64, since I'm trying to build qemu for i686. Installing using yum install gives an error on conflicting files


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install ceph-0.43-1.fc17.x86_64
2. Install ceph-0.43-1.fc17.i686
  
Actual results:
Step #2 fails with output in Additional Info

Expected results:
Both installs side by side.

Additional info:

I guess it should be split to a ceph-common.noarch ? (the python and /etc bits)

yum output:

yum install -y ceph.i686

[snipped part of the output up to the error]

Transaction Check Error:
  file /etc/rc.d/init.d/ceph from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /sbin/mkcephfs from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/bin/ceph-debugpack from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rados.pyc from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rados.pyo from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rbd.pyc from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rbd.pyo from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rgw.pyc from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rgw.pyo from install of ceph-0.43-1.fc17.i686 conflicts with file from package ceph-0.43-1.fc17.x86_64
Comment 1 Philippe Troin 2012-06-12 18:10:09 EDT
Bug is still present in latest package:

# yum -y install ceph 
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package ceph-0.44-5.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package ceph.i686 0:0.44-5.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch            Version                Repository         Size
================================================================================
Installing:
 ceph            i686            0.44-5.fc17            fedora             10 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 10 M
Installed size: 36 M
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /etc/rc.d/init.d/ceph from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /sbin/mkcephfs from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/bin/ceph-debugpack from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rados.pyc from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rados.pyo from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rbd.pyc from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rbd.pyo from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rgw.pyc from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64
  file /usr/lib/python2.7/site-packages/rgw.pyo from install of ceph-0.44-5.fc17.i686 conflicts with file from package ceph-0.44-5.fc17.x86_64

Error Summary
-------------
Comment 2 David Nalley 2012-06-12 19:22:29 EDT
I am a little confused as to why one would wish to install both x86 and x86_64 and expect it to work. I understand the concept of multilib but if you called mkcephfs, which would you expect to actually be executing? I am happy to entertain patches but otherwise not sure there is much I can do on this issue. (feel free to tell me if you think I am delusional)
Comment 3 Philippe Troin 2012-06-12 19:53:20 EDT
Because I want to run both 32-bit and 64-bit software depending on the ceph libs (which are provided by the ceph package).

Maybe splitting ceph into ceph-libs and ceph would do the trick.
Comment 4 Fedora End Of Life 2013-07-03 19:06:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:28:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.